%{?nodejs_find_provides_and_requires}
%global packagename defence
%global enable_tests 1
Name:		nodejs-defence
Version:	1.0.5
Release:	1
Summary:	Extract fenced code from CommonMark documents
License:	MIT
URL:		https://github.com/kemitchell/defence.js.git
Source0:	https://registry.npmjs.org/defence/-/defence-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh
Source11:	https://raw.githubusercontent.com/kemitchell/defence.js/v%{version}/test.js
BuildArch:	noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       	nodejs-packaging 	npm(commonmark)
%if 0%{?enable_tests}
BuildRequires:       	npm(glob) 	npm(tape)
%endif

%description
Extract fenced code from CommonMark documents

%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE11} .
%nodejs_fixdep commonmark "^0.24.0"

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Aug 18 2020 leiju <leiju4@huawei.com> - 1.0.5-1
- Package init
